Name:           minbar
Version:        0.2.1
Release:        11%{?dist}
Summary:        Athan call and prayer times notification software

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://djihed.com/minbar/
Source0:        http://files.djihed.com/%{name}/%{name}-%{version}.tar.lzma
Patch0:         %{name}-notificationfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libitl-devel libglade2-devel gstreamer-devel libgnomecanvas-devel
BuildRequires:  GConf2-devel libnotify-devel gettext desktop-file-utils
BuildRequires:  rarian-compat
BuildRequires:  perl(XML::Parser)
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
#Requires:       

%description
Minbar is a GNOME GUI with tray icon, for athan 
call and notifications for Islam prayer times.


%prep
%setup -q
%patch0 -p 1
sed -i -e "s|\(Utility;\)\1|\1|" %{name}.desktop.in
rm data/minbar.schemas{,.in} # outdated in 0.2.1 lzma tarball

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor="fedora" \
      --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
      --delete-original \
      $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
gconftool-2 --makefile-install-rule \
   %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
     GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
     gconftool-2 --makefile-uninstall-rule \
     %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS README NEWS TODO HACKING ChangeLog
%{_bindir}/minbar
%{_datadir}/applications/fedora-minbar.desktop
%{_datadir}/icons/hicolor/*/apps/minbar.png
%{_sysconfdir}/gconf/schemas/minbar.schemas
%{_mandir}/man1/minbar.1.gz
%{_datadir}/minbar/

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> - 0.2.1-10
- rebuild against new libnotify

* Wed Aug 12 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.2.1-9
- Use lzma compressed upstream tarball.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Mar 2 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.2.1-6
- fixed gtk-update-icon-cache scriptlet 

* Sun Feb 24 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.2.1-4
- more packaging fix

* Sun Feb 17 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.2.1-3
- added missing BR perl(XML::Parser), desktop-file-utils


* Fri Feb 01 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.2.1-2
- Fixed version
- Added more builddeps

* Mon Jan 28 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.2-1
- Initial package

